### Class

# Gtk CustomLayout

#### Description [src]

    final class Gtk.CustomLayout : Gtk.LayoutManager {
      /* No available fields */
    }

`GtkCustomLayout` uses closures for size negotiation.

A `GtkCustomLayout`uses closures matching to the old `GtkWidget` virtual functions for size negotiation, as a convenience API to ease the porting towards the corresponding `GtkLayoutManager virtual functions.

#### Hierarchy

#### Ancestors

- GtkLayoutManager
- GObject

#### Constructors

###### gtk_custom_layout_new

Creates a new legacy layout manager.

#### Class structure

    struct GtkCustomLayoutClass {
      GtkLayoutManagerClass parent_class;

    }

###### Class members

`parent_class` |
    GtkLayoutManagerClass
| No description available.